Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.pojo.impl
Class InternalConstant

    java.lang.Object
      org.jboss.cache.pojo.impl.InternalConstant

    public class InternalConstant

extends Object

Internal helper class to handle internal cache sotre, that is, the portion that is not part of user's data.

Author:
  Ben Wang

Field Summary
`static String` | `CLASS_INTERNAL`
`static org.jboss.cache.Fqn<String>` | `JBOSS_INTERNAL`
`static org.jboss.cache.Fqn<String>` | `JBOSS_INTERNAL_ID_SEP`
`static String` | `JBOSS_INTERNAL_ID_SEP_STRING`
`static org.jboss.cache.Fqn<String>` | `JBOSS_INTERNAL_MAP`
`static String` | `JBOSS_INTERNAL_STATIC`
`static String` | `JBOSS_INTERNAL_STRING`
`static String` | `POJOCACHE_KEY_PREFIX`
`static String` | `POJOCACHE_LOCK`
`static String` | `POJOCACHE_OPERATION`
`static String` | `POJOCACHE_STATUS`
`static String` | `SERIALIZED`

Constructor Summary
`InternalConstant()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CLASS_INTERNAL

    public static final String CLASS_INTERNAL

See Also:
  Constant Field Values

### SERIALIZED

    public static final String SERIALIZED

See Also:
  Constant Field Values

### JBOSS_INTERNAL_STRING

    public static final String JBOSS_INTERNAL_STRING

See Also:
  Constant Field Values

### JBOSS_INTERNAL_ID_SEP_STRING

    public static final String JBOSS_INTERNAL_ID_SEP_STRING

See Also:
  Constant Field Values

### JBOSS_INTERNAL

    public static final org.jboss.cache.Fqn<String> JBOSS_INTERNAL

### JBOSS_INTERNAL_ID_SEP

    public static final org.jboss.cache.Fqn<String> JBOSS_INTERNAL_ID_SEP

### JBOSS_INTERNAL_MAP

    public static final org.jboss.cache.Fqn<String> JBOSS_INTERNAL_MAP

### JBOSS_INTERNAL_STATIC

    public static final String JBOSS_INTERNAL_STATIC

See Also:
  Constant Field Values

### POJOCACHE_KEY_PREFIX

    public static final String POJOCACHE_KEY_PREFIX

See Also:
  Constant Field Values

### POJOCACHE_STATUS

    public static final String POJOCACHE_STATUS

See Also:
  Constant Field Values

### POJOCACHE_OPERATION

    public static final String POJOCACHE_OPERATION

See Also:
  Constant Field Values

### POJOCACHE_LOCK

    public static final String POJOCACHE_LOCK

See Also:
  Constant Field Values

Constructor Detail

### InternalConstant

    public InternalConstant()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 JBoss, a division of Red Hat. All Rights Reserved.